Package org.firebirdsql.jdbc.metadata

## Class GetTables

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetTables

-     @InternalApi
      public abstract class GetTables
      extends java.lang.Object

  Provides the implementation for `DatabaseMetaData.getTables(String, String, String, String[])`, `DatabaseMetaData.getTableTypes()` and `FirebirdDatabaseMetaData.getTableTypeNames()`
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DbMetadataMediator` | `mediator` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GetTables` | `create​(DbMetadataMediator mediator)` |
    `java.sql.ResultSet` | `getTables​(java.lang.String tableNamePattern, java.lang.String[] types)` |
    `java.lang.String[]` | `getTableTypeNames()` |
    `java.sql.ResultSet` | `getTableTypes()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mediator

          protected final DbMetadataMediator mediator

  - ### Method Detail

    - #### getTables

          public final java.sql.ResultSet getTables​(java.lang.String tableNamePattern,
                                                    java.lang.String[] types)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`
      See Also:
        `DatabaseMetaData.getTables(String, String, String, String[])`

    - #### getTableTypes

          public final java.sql.ResultSet getTableTypes()
                                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getTableTypeNames

          public final java.lang.String[] getTableTypeNames()

    - #### create

          public static GetTables create​(DbMetadataMediator mediator)